## r-bioc-bioccheck 1.24.0+dfsg

=== DESCRIPTION ===
Package: BiocCheck
Version: 1.24.0
Title: Bioconductor-specific package checks
Description: Executes Bioconductor-specific package checks.
Authors@R: c(
    person("Bioconductor", "Package Maintainer",
	email="maintainer@bioconductor.org",
	role=c("aut", "cre")),
    person("Lori", "Shepherd", role="ctb"),
    person("Daniel", "von Twisk", role="ctb"),
    person("Kevin", "Rue", role="ctb"))
Depends: R (>= 3.5.0)
License: Artistic-2.0
LazyData: true
VignetteBuilder: knitr
Imports: biocViews (>= 1.33.7), BiocManager, stringdist, graph, httr,
        tools, optparse, codetools, methods, utils, knitr
Suggests: RUnit, BiocGenerics, Biobase, RJSONIO, rmarkdown, devtools
        (>= 1.4.1), usethis, BiocStyle
Enhances: codetoolsBioC
biocViews: Infrastructure
URL: https://github.com/Bioconductor/BiocCheck/issues
git_url: https://git.bioconductor.org/packages/BiocCheck
git_branch: RELEASE_3_11
git_last_commit: c8362a3
git_last_commit_date: 2020-04-27
Date/Publication: 2020-04-27
NeedsCompilation: no
Packaged: 2020-04-28 01:09:41 UTC; biocbuild
Author: Bioconductor Package Maintainer [aut, cre],
  Lori Shepherd [ctb],
  Daniel von Twisk [ctb],
  Kevin Rue [ctb]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-bioccheck (1.24.0+dfsg-2) unstable; urgency=medium

  * Add r-cran-devtools to test-deps
  * Add patch to ski tests requiring r-cran-RJSONIO (not available
     in Debian and non-free)
  * Disable Testsuite: autopkgtest-pkg-r

 -- Dylan Aïssi <daissi@debian.org>  Wed, 22 Jul 2020 11:35:44 +0200

r-bioc-bioccheck (1.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 12 Jun 2020 06:45:37 +0200

r-bioc-bioccheck (1.22.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #958309)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Apr 2020 21:56:43 +0200

=== debian/control ===
Source: r-bioc-bioccheck
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
#Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocviews,
               r-cran-biocmanager,
               r-cran-stringdist,
               r-bioc-graph,
               r-cran-httr,
               r-cran-optparse,
               r-cran-codetools,
               r-cran-knitr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck.git
Homepage: https://bioconductor.org/packages/BiocCheck/
Rules-Requires-Root: no

Package: r-bioc-bioccheck
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Bioconductor-specific package checks
 Executes Bioconductor-specific package checks.

## r-bioc-bioccheck 1.26.0+dfsg

=== DESCRIPTION ===
Package: BiocCheck
Version: 1.26.0
Title: Bioconductor-specific package checks
Description: Executes Bioconductor-specific package checks.
Authors@R: c(
    person("Bioconductor", "Package Maintainer",
	email="maintainer@bioconductor.org",
	role=c("aut", "cre")),
    person("Lori", "Shepherd", role="aut"),
    person("Daniel", "von Twisk", role="ctb"),
    person("Kevin", "Rue", role="ctb"),
    person("Marcel", "Ramos", role="ctb"),
    person("Leonardo", "Collado-Torres", role = "ctb"),
    person("Federico", "Marini", role="ctb"))
Depends: R (>= 3.5.0)
License: Artistic-2.0
LazyData: true
VignetteBuilder: knitr
Imports: biocViews (>= 1.33.7), BiocManager, stringdist, graph, httr,
        tools, optparse, codetools, methods, utils, knitr
Suggests: RUnit, BiocGenerics, Biobase, RJSONIO, rmarkdown, devtools
        (>= 1.4.1), usethis, BiocStyle
Enhances: codetoolsBioC
biocViews: Infrastructure
URL: https://github.com/Bioconductor/BiocCheck/issues
git_url: https://git.bioconductor.org/packages/BiocCheck
git_branch: RELEASE_3_12
git_last_commit: f80471c
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: no
Packaged: 2020-10-27 22:41:25 UTC; biocbuild
Author: Bioconductor Package Maintainer [aut, cre],
  Lori Shepherd [aut],
  Daniel von Twisk [ctb],
  Kevin Rue [ctb],
  Marcel Ramos [ctb],
  Leonardo Collado-Torres [ctb],
  Federico Marini [ctb]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== inst/testpackages/testpkg0/DESCRIPTION ===
Package: testpkg0
Title: bla
Description: blsa
Version: 0.1
Author: Joe Blow
Maintainer: Joe Blow <joe@blow.com>
Depends: R (>= 3.1.0), RJSONIO
License: GPL-2
LazyData: true
Imports: devtools, tools
Remotes:
VignetteBuilder: knitr

=== inst/testpackages/testpkg2/DESCRIPTION ===
Package: testpkg0
Title: bla
Description: blsa
Version: 0.1
Author: Joe Blow
Maintainer: Joe Blow <joe@blow.com>
Depends: R (>= 3.1.0), RJSONIO
License: GPL-2
LazyData: true
Imports: devtools, tools
VignetteBuilder: FailBuilder

=== debian/changelog ===
r-bioc-bioccheck (1.26.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Deactivate one more test

 -- Andreas Tille <tille@debian.org>  Tue, 03 Nov 2020 09:07:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
-#Testsuite: autopkgtest-pkg-r
+# Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-runit, r-cran-devtools
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/BiocCheck.html .*/BiocCheck_(.*).tar.gz

## r-bioc-bioccheck 1.30.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: BiocCheck
-Version: 1.26.0
+Version: 1.30.0
 Title: Bioconductor-specific package checks
 Description: Executes Bioconductor-specific package checks.
 Authors@R: c(
@@ -14,7 +14,6 @@
     person("Federico", "Marini", role="ctb"))
 Depends: R (>= 3.5.0)
 License: Artistic-2.0
-LazyData: true
 VignetteBuilder: knitr
 Imports: biocViews (>= 1.33.7), BiocManager, stringdist, graph, httr,
         tools, optparse, codetools, methods, utils, knitr
@@ -23,13 +22,14 @@
 Enhances: codetoolsBioC
 biocViews: Infrastructure
 URL: https://github.com/Bioconductor/BiocCheck/issues
+RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/BiocCheck
-git_branch: RELEASE_3_12
-git_last_commit: f80471c
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 31109f8
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: no
-Packaged: 2020-10-27 22:41:25 UTC; biocbuild
+Packaged: 2021-10-26 20:54:19 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut, cre],
   Lori Shepherd [aut],
   Daniel von Twisk [ctb],

=== inst/testpackages/testpkg1/DESCRIPTION ===
Package: testpkg1
Title: bla
Description: blsa
Version: 0.1
Author: Joe Blow
Maintainer: Joe Blow <joe@blow.com>
Depends: R (>= 3.1.0), RJSONIO
License: GPL-2
LazyData: false
VignetteBuilder: knitr

=== inst/testpackages/testpkg2/DESCRIPTION ===
--- 
+++ 
@@ -6,6 +6,6 @@
 Maintainer: Joe Blow <joe@blow.com>
 Depends: R (>= 3.1.0), RJSONIO
 License: GPL-2
-LazyData: true
+LazyData: false
 Imports: devtools, tools
 VignetteBuilder: FailBuilder

=== debian/changelog ===
r-bioc-bioccheck (1.30.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 08:18:39 +0100

r-bioc-bioccheck (1.28.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * No manual installation of files
  * Provide autopkgtest-pkg-r.conf to make sure Test-Depends will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
  * Disable reprotest

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 11:21:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: gnu-r
-# Testsuite: autopkgtest-pkg-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -15,7 +15,7 @@
                r-cran-optparse,
                r-cran-codetools,
                r-cran-knitr
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck.git
 Homepage: https://bioconductor.org/packages/BiocCheck/

## r-bioc-bioccheck 1.32.0+dfsg

=== DESCRIPTION ===
Package: BiocCheck
Version: 1.32.0
Title: Bioconductor-specific package checks
Description: BiocCheck guides maintainers through Bioconductor best
  practicies. It runs Bioconductor-specific package checks by searching through
  package code, examples, and vignettes. Maintainers are required to address all
  errors, warnings, and most notes produced.
Authors@R: c(
    person("Bioconductor", "Package Maintainer",
	email="maintainer@bioconductor.org",
	role=c("aut", "cre")),
    person("Lori", "Shepherd", role="aut"),
    person("Daniel", "von Twisk", role="ctb"),
    person("Kevin", "Rue", role="ctb"),
    person("Marcel", "Ramos", role="ctb"),
    person("Leonardo", "Collado-Torres", role = "ctb"),
    person("Federico", "Marini", role="ctb"))
Depends: R (>= 4.2.0)
License: Artistic-2.0
VignetteBuilder: knitr
Imports: biocViews (>= 1.33.7), BiocManager, stringdist, graph, httr,
        tools, codetools, methods, utils, knitr
Suggests: RUnit, BiocGenerics, Biobase, jsonlite, rmarkdown,
        downloader, devtools (>= 1.4.1), usethis, BiocStyle
Enhances: codetoolsBioC
biocViews: Infrastructure
URL: https://github.com/Bioconductor/BiocCheck
BugReports: https://github.com/Bioconductor/BiocCheck/issues
RoxygenNote: 7.1.2
git_url: https://git.bioconductor.org/packages/BiocCheck
git_branch: RELEASE_3_15
git_last_commit: ced6ec2
git_last_commit_date: 2022-04-26
Date/Publication: 2022-04-26
NeedsCompilation: no
Packaged: 2022-04-26 20:04:33 UTC; biocbuild
Author: Bioconductor Package Maintainer [aut, cre],
  Lori Shepherd [aut],
  Daniel von Twisk [ctb],
  Kevin Rue [ctb],
  Marcel Ramos [ctb],
  Leonardo Collado-Torres [ctb],
  Federico Marini [ctb]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-bioccheck (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 14 May 2022 08:39:44 +0200

## r-bioc-bioccheck 1.34.2%2Bdfsg

=== debian/changelog ===
r-bioc-bioccheck (1.34.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:09:54 +0100

r-bioc-bioccheck (1.32.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.32.1+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Wed, 31 Aug 2022 19:59:58 +0000

## r-bioc-bioccheck 1.34.2+dfsg

=== DESCRIPTION ===
Package: BiocCheck
Version: 1.34.2
Title: Bioconductor-specific package checks
Description: BiocCheck guides maintainers through Bioconductor best
  practicies. It runs Bioconductor-specific package checks by searching through
  package code, examples, and vignettes. Maintainers are required to address all
  errors, warnings, and most notes produced.
Authors@R: c(
    person("Bioconductor", "Package Maintainer",
	email="maintainer@bioconductor.org",
	role="aut"),
    person("Lori", "Shepherd", role="aut"),
    person("Daniel", "von Twisk", role="ctb"),
    person("Kevin", "Rue", role="ctb"),
    person("Marcel", "Ramos", , "marcel.ramos@roswellpark.org",
      c("aut", "cre"), c(ORCID = "0000-0002-3242-0582")),
    person("Leonardo", "Collado-Torres", role = "ctb"),
    person("Federico", "Marini", role="ctb"))
Depends: R (>= 4.2.0)
License: Artistic-2.0
VignetteBuilder: knitr
Imports: biocViews (>= 1.33.7), BiocManager, stringdist, graph, httr,
        tools, codetools, methods, utils, knitr
Suggests: RUnit, BiocGenerics, Biobase, jsonlite, rmarkdown,
        downloader, devtools (>= 1.4.1), usethis, BiocStyle, callr
Enhances: codetoolsBioC
biocViews: Infrastructure
URL: https://github.com/Bioconductor/BiocCheck
BugReports: https://github.com/Bioconductor/BiocCheck/issues
RoxygenNote: 7.2.1
Encoding: UTF-8
git_url: https://git.bioconductor.org/packages/BiocCheck
git_branch: RELEASE_3_16
git_last_commit: e352395
git_last_commit_date: 2022-11-16
Date/Publication: 2022-11-17
NeedsCompilation: no
Packaged: 2022-11-17 21:03:42 UTC; biocbuild
Author: Bioconductor Package Maintainer [aut],
  Lori Shepherd [aut],
  Daniel von Twisk [ctb],
  Kevin Rue [ctb],
  Marcel Ramos [aut, cre] (<https://orcid.org/0000-0002-3242-0582>),
  Leonardo Collado-Torres [ctb],
  Federico Marini [ctb]
Maintainer: Marcel Ramos <marcel.ramos@roswellpark.org>

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,9 @@
                r-cran-stringdist,
                r-bioc-graph,
                r-cran-httr,
-               r-cran-optparse,
                r-cran-codetools,
                r-cran-knitr
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck.git
 Homepage: https://bioconductor.org/packages/BiocCheck/

## r-bioc-bioccheck 1.36.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: BiocCheck
-Version: 1.34.2
+Version: 1.36.1
 Title: Bioconductor-specific package checks
 Description: BiocCheck guides maintainers through Bioconductor best
   practicies. It runs Bioconductor-specific package checks by searching through
@@ -19,23 +19,22 @@
 Depends: R (>= 4.2.0)
 License: Artistic-2.0
 VignetteBuilder: knitr
-Imports: biocViews (>= 1.33.7), BiocManager, stringdist, graph, httr,
-        tools, codetools, methods, utils, knitr
+Imports: BiocFileCache, BiocManager, biocViews (>= 1.33.7), codetools,
+        graph, httr, knitr, methods, stringdist, tools, utils
 Suggests: RUnit, BiocGenerics, Biobase, jsonlite, rmarkdown,
         downloader, devtools (>= 1.4.1), usethis, BiocStyle, callr
-Enhances: codetoolsBioC
 biocViews: Infrastructure
 URL: https://github.com/Bioconductor/BiocCheck
 BugReports: https://github.com/Bioconductor/BiocCheck/issues
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 git_url: https://git.bioconductor.org/packages/BiocCheck
-git_branch: RELEASE_3_16
-git_last_commit: e352395
-git_last_commit_date: 2022-11-16
-Date/Publication: 2022-11-17
+git_branch: RELEASE_3_17
+git_last_commit: 642cea8
+git_last_commit_date: 2023-06-16
+Date/Publication: 2023-06-16
 NeedsCompilation: no
-Packaged: 2022-11-17 21:03:42 UTC; biocbuild
+Packaged: 2023-06-16 20:00:31 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut],
   Lori Shepherd [aut],
   Daniel von Twisk [ctb],

=== debian/changelog ===
r-bioc-bioccheck (1.36.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Rebuild against latest version of r-base
    Closes: #1039633
  * New upstream version
  * Reduce piuparts noise in transitions
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 15:55:25 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-bioc-biocfilecache,
+               r-cran-biocmanager,
                r-bioc-biocviews,
-               r-cran-biocmanager,
-               r-cran-stringdist,
+               r-cran-codetools,
                r-bioc-graph,
                r-cran-httr,
-               r-cran-codetools,
-               r-cran-knitr
-Standards-Version: 4.6.1
+               r-cran-knitr,
+               r-cran-stringdist
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck.git
 Homepage: https://bioconductor.org/packages/BiocCheck/

## r-bioc-bioccheck 1.38.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: BiocCheck
-Version: 1.36.1
+Version: 1.38.2
 Title: Bioconductor-specific package checks
 Description: BiocCheck guides maintainers through Bioconductor best
   practicies. It runs Bioconductor-specific package checks by searching through
@@ -16,25 +16,29 @@
       c("aut", "cre"), c(ORCID = "0000-0002-3242-0582")),
     person("Leonardo", "Collado-Torres", role = "ctb"),
     person("Federico", "Marini", role="ctb"))
-Depends: R (>= 4.2.0)
+Depends: R (>= 4.3.0)
 License: Artistic-2.0
 VignetteBuilder: knitr
-Imports: BiocFileCache, BiocManager, biocViews (>= 1.33.7), codetools,
-        graph, httr, knitr, methods, stringdist, tools, utils
+Imports: BiocBaseUtils, BiocFileCache, BiocManager, biocViews (>=
+        1.33.7), callr, codetools, graph, httr2, knitr, methods, rvest,
+        stringdist, tools, utils
 Suggests: RUnit, BiocGenerics, Biobase, jsonlite, rmarkdown,
-        downloader, devtools (>= 1.4.1), usethis, BiocStyle, callr
+        downloader, devtools (>= 1.4.1), usethis, BiocStyle,
+        GenomicRanges, gert
 biocViews: Infrastructure
 URL: https://github.com/Bioconductor/BiocCheck
 BugReports: https://github.com/Bioconductor/BiocCheck/issues
 RoxygenNote: 7.2.3
 Encoding: UTF-8
+Date: 2024-01-26
 git_url: https://git.bioconductor.org/packages/BiocCheck
-git_branch: RELEASE_3_17
-git_last_commit: 642cea8
-git_last_commit_date: 2023-06-16
-Date/Publication: 2023-06-16
+git_branch: RELEASE_3_18
+git_last_commit: 043a804
+git_last_commit_date: 2024-01-26
+Repository: Bioconductor 3.18
+Date/Publication: 2024-01-26
 NeedsCompilation: no
-Packaged: 2023-06-16 20:00:31 UTC; biocbuild
+Packaged: 2024-01-26 21:13:49 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut],
   Lori Shepherd [aut],
   Daniel von Twisk [ctb],

=== inst/testpackages/testpkg0/DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Version: 0.1
 Author: Joe Blow
 Maintainer: Joe Blow <joe@blow.com>
-Depends: R (>= 3.1.0), RJSONIO
+Depends: R (>= 3.1.0), jsonlite
 License: GPL-2
 LazyData: true
 Imports: devtools, tools

=== inst/testpackages/testpkg2/DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Version: 0.1
 Author: Joe Blow
 Maintainer: Joe Blow <joe@blow.com>
-Depends: R (>= 3.1.0), RJSONIO
+Depends: R (>= 3.1.0), jsonlite 
 License: GPL-2
 LazyData: false
 Imports: devtools, tools

=== debian/changelog ===
r-bioc-bioccheck (1.38.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jan 2024 20:48:47 +0100

r-bioc-bioccheck (1.38.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 10:36:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-bioc-biocbaseutils,
                r-bioc-biocfilecache,
                r-cran-biocmanager,
                r-bioc-biocviews,
+               r-cran-callr,
                r-cran-codetools,
                r-bioc-graph,
-               r-cran-httr,
+               r-cran-httr2,
                r-cran-knitr,
+               r-cran-rvest,
                r-cran-stringdist
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck

## r-bioc-bioccheck 1.40.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: BiocCheck
-Version: 1.38.2
+Version: 1.40.0
 Title: Bioconductor-specific package checks
 Description: BiocCheck guides maintainers through Bioconductor best
   practicies. It runs Bioconductor-specific package checks by searching through
@@ -25,20 +25,20 @@
 Suggests: RUnit, BiocGenerics, Biobase, jsonlite, rmarkdown,
         downloader, devtools (>= 1.4.1), usethis, BiocStyle,
         GenomicRanges, gert
+Date: 2024-04-25
 biocViews: Infrastructure
 URL: https://github.com/Bioconductor/BiocCheck
 BugReports: https://github.com/Bioconductor/BiocCheck/issues
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 Encoding: UTF-8
-Date: 2024-01-26
 git_url: https://git.bioconductor.org/packages/BiocCheck
-git_branch: RELEASE_3_18
-git_last_commit: 043a804
-git_last_commit_date: 2024-01-26
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-26
+git_branch: RELEASE_3_19
+git_last_commit: ca6d2f9
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2024-01-26 21:13:49 UTC; biocbuild
+Packaged: 2024-05-01 02:45:08 UTC; biocbuild
 Author: Bioconductor Package Maintainer [aut],
   Lori Shepherd [aut],
   Daniel von Twisk [ctb],

=== debian/changelog ===
r-bioc-bioccheck (1.40.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:14:10 +0200

r-bioc-bioccheck (1.40.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 14:21:18 +0200

## r-bioc-bioccheck 1.42.1+dfsg

=== DESCRIPTION ===
Package: BiocCheck
Title: Bioconductor-specific package checks
Version: 1.42.1
Date: 2024-12-23
Authors@R: c(
    person("Bioconductor", "Package Maintainer", ,
        "maintainer@bioconductor.org", "aut"),
    person("Lori", "Shepherd", role = "aut"),
    person("Daniel", "von Twisk", role = "ctb"),
    person("Kevin", "Rue", role = "ctb"),
    person("Marcel", "Ramos", , "marcel.ramos@sph.cuny.edu",
        c("aut", "cre"), c(ORCID = "0000-0002-3242-0582")),
    person("Leonardo", "Collado-Torres", role = "ctb"),
    person("Federico", "Marini", role = "ctb")
  )
Description: BiocCheck guides maintainers through Bioconductor best
    practicies. It runs Bioconductor-specific package checks by searching
    through package code, examples, and vignettes. Maintainers are
    required to address all errors, warnings, and most notes produced.
License: Artistic-2.0
URL: https://github.com/Bioconductor/BiocCheck
BugReports: https://github.com/Bioconductor/BiocCheck/issues
Depends: R (>= 4.4.0)
Imports: BiocBaseUtils, BiocFileCache, BiocManager, biocViews, callr,
        cli, codetools, graph, httr2, knitr, methods, rvest,
        stringdist, tools, utils
Suggests: BiocStyle, devtools, gert, jsonlite, rmarkdown, tinytest,
        usethis
VignetteBuilder: knitr
biocViews: Infrastructure
Encoding: UTF-8
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.3.2
git_url: https://git.bioconductor.org/packages/BiocCheck
git_branch: RELEASE_3_20
git_last_commit: 0af65bc
git_last_commit_date: 2024-12-23
Repository: Bioconductor 3.20
Date/Publication: 2024-12-26
NeedsCompilation: no
Packaged: 2024-12-26 21:14:21 UTC; biocbuild
Author: Bioconductor Package Maintainer [aut],
  Lori Shepherd [aut],
  Daniel von Twisk [ctb],
  Kevin Rue [ctb],
  Marcel Ramos [aut, cre] (<https://orcid.org/0000-0002-3242-0582>),
  Leonardo Collado-Torres [ctb],
  Federico Marini [ctb]
Maintainer: Marcel Ramos <marcel.ramos@sph.cuny.edu>

=== inst/testpackages/testpkg1/DESCRIPTION ===
Package: testpkg1
Title: bla
Description: blsa
Version: 0.1
Author: Joe Blow
Maintainer: Joe Blow <joe@blow.com>
Depends: R (>= 3.1.0), jsonlite
License: GPL-2
LazyData: false
VignetteBuilder: knitr

=== debian/changelog ===
r-bioc-bioccheck (1.42.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 14:21:20 +0100

r-bioc-bioccheck (1.42.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Removed unneeded patch.
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 08:15:52 +0100

=== debian/control ===
Source: r-bioc-bioccheck
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-bioccheck.git
Homepage: https://bioconductor.org/packages/BiocCheck/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-bioc-biocbaseutils,
               r-bioc-biocfilecache,
               r-cran-biocmanager,
               r-bioc-biocviews,
               r-cran-callr,
               r-cran-cli,
               r-cran-codetools,
               r-bioc-graph,
               r-cran-httr2,
               r-cran-knitr,
               r-cran-rvest,
               r-cran-stringdist
Testsuite: autopkgtest-pkg-r

Package: r-bioc-bioccheck
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Bioconductor-specific package checks
 Executes Bioconductor-specific package checks.
